---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# PaymentMethod

The attributes to update in the order's payment method.

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "data",
    "type": "`Record<string, unknown>`",
    "description": "The data to attach to the payment.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "provider_id",
    "type": "`string`",
    "description": "The ID of the payment provider used in the order.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
